
D4Science Infrastructure - Task #1638

Task # 1628 (Closed): MongoDB-Storage: test new storage engine WiredTiger

upgrade cluster mongodb to version 3.0

Dec 01, 2015 02:28 PM - Roberto Cirillo

Status: Closed Start date: Dec 01, 2015

Priority: High Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: upgrade mongodb cluster to version 3.0   

Infrastructure: Development   

Description

The following nodes should be upgraded to version 3.0:

mongo1-d-d4s.d4science.org (arbiter)

mongo2-d-d4s.d4science.org

mongo3-d-d4s.d4science.org

mongo4-d-d4s.d4science.org

History

#1 - Dec 11, 2015 10:38 AM - Roberto Cirillo

- Priority changed from Normal to High

#2 - Dec 15, 2015 03:43 PM - Tommaso Piccioli

- % Done changed from 0 to 30

mongo5-d-d4s.d4science.org updated to mongo-org 3.0.7 and tested as standalone with the old store engine

mongo4-d-d4.d4science.org updated to mongo-org 3.0.7, going to test resync with the new store engine

#3 - Dec 16, 2015 12:31 PM - Roberto Cirillo

The resynch on mongo4 has been completed. Now mongo4 runs with version 3.0.7 and the new storage engine is "wiredTiger"

WiredTiger on mongo4 has allocated only 150GB of HD space while the old storage engine (mmapv1) on mongo3 has allocated 330 GB. If

wiredTiger works well on mongo4, this is a very good result. The next step is the upgrade of mongo2 to version 3 and the setting of  wiredtiger as

storage engine on mongo2.

#4 - Dec 17, 2015 03:05 PM - Roberto Cirillo

- % Done changed from 30 to 50

The resynch of mongo2 has been completed successfully. It runs with version 3.0.8 and the storage engine is "wiredTiger".

I've elected mongo2 as PRIMARY memeber for testing the performance of the new storage engine.

#5 - Dec 22, 2015 04:01 PM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 50 to 100

Now we have:

mongo1 and mongo3 with old storage engine: mmapv1;

mongo2, mongo4 with new storage engine: wiredTiger.

Before changing all the members to use WiredTiger, I may prefer to run with mixed storage engines for some period.

#6 - Dec 22, 2015 04:01 PM - Roberto Cirillo

- Status changed from In Progress to Closed
